Skip to main content
Version: API v1

Zertifikate anlegen/upgraden

POST/v1/accounts/{accountIdentifier}/certificates
API version
v1
Request method
POST
Operation ID
createOrUpgradeCertificates

Legt ein neues Zertifikat an oder upgraded ein bestehendes

Request​

  • accountIdentifierstringrequired

    Name oder ID eines Accounts

Responses​

Format
application/json
Description

Zertifikatupgrades erfolgreich angestoßen für gefundene Domains

  • foundarray of string
    • Array[
      • *string
      ]
  • notFoundarray of string
    • Array[
      • *string
      ]
Content-Type: application/json

{
"found": [
"string"
],
"notFound": [
"string"
]
}
{
"type": "object",
"properties": {
"found": {
"type": "array",
"items": {
"type": "string"
}
},
"notFound": {
"type": "array",
"items": {
"type": "string"
}
}
}
}

Format
application/json
Description

Zertifikaterstellungen angestoßen für gefundene Domains

  • foundarray of string
    • Array[
      • *string
      ]
  • notFoundarray of string
    • Array[
      • *string
      ]
Content-Type: application/json

{
"found": [
"string"
],
"notFound": [
"string"
]
}
{
"type": "object",
"properties": {
"found": {
"type": "array",
"items": {
"type": "string"
}
},
"notFound": {
"type": "array",
"items": {
"type": "string"
}
}
}
}

Format
application/json
Description

Zertifikatupgrades und -erstellungen erfolgreich angestoßen für gefundene Domains

  • foundarray of string
    • Array[
      • *string
      ]
  • notFoundarray of string
    • Array[
      • *string
      ]
Content-Type: application/json

{
"found": [
"string"
],
"notFound": [
"string"
]
}
{
"type": "object",
"properties": {
"found": {
"type": "array",
"items": {
"type": "string"
}
},
"notFound": {
"type": "array",
"items": {
"type": "string"
}
}
}
}

Usage examples​

$ curl \
--fail \
--location \
-X POST \
-d '{"article":123,"domains":["string"]}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v1/accounts/string/certificates

On this page